Package org.opensaml.saml.saml2.assertion.impl

# Class AudienceRestrictionConditionValidator

java.lang.Object
org.opensaml.saml.saml2.assertion.impl.AudienceRestrictionConditionValidator

All Implemented Interfaces:
  `ConditionValidator`

@ThreadSafe public class AudienceRestrictionConditionValidator extends Object implements ConditionValidator
`ConditionValidator` implementation for `AudienceRestriction` conditions.

Supports the following `ValidationContext` static parameters:

- `SAML2AssertionValidationParameters.COND_VALID_AUDIENCES`: Required.

Supports the following `ValidationContext` dynamic parameters:

- None.

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`AudienceRestrictionConditionValidator()`

## Method Summary

Modifier and Type
Method
Description
`QName`
`getServicedCondition()`
Gets the element or schema type QName of the condition handled by this validator.
`ValidationResult`
`validate(Condition condition, Assertion assertion, ValidationContext context)`
Validates the given condition.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

private org.slf4j.Logger log
Logger.

## Constructor Details

### AudienceRestrictionConditionValidator

public AudienceRestrictionConditionValidator()

## Method Details

### getServicedCondition

@Nonnull public QName getServicedCondition()
Gets the element or schema type QName of the condition handled by this validator.

Specified by:
  `getServicedCondition` in interface `ConditionValidator`
Returns:
  element or schema type QName of the statement handled by this validator

### validate

@Nonnull public ValidationResult validate(@Nonnull Condition condition, @Nonnull Assertion assertion, @Nonnull ValidationContext context) throws AssertionValidationException
Validates the given condition.

Specified by:
  `validate` in interface `ConditionValidator`
Parameters:
  `condition` - condition to be evaluated
  `assertion` - assertion bearing the condition
  `context` - current Assertion validation context
Returns:
  the result of the condition evaluation
Throws:
  `AssertionValidationException` - if there is a problem processing the validation operation